## org.eclipse.m2m.atl.engine.vm.nativelib
Class ASMOrderedSet

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
                  org.eclipse.m2m.atl.engine.vm.nativelib.ASMOrderedSet

    public class ASMOrderedSet

extends ASMCollection

This class does not compile as of now. Consider it unimplemented.

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMOrderedSet()`
`ASMOrderedSet(ASMOrderedSet init)`
`ASMOrderedSet(java.util.Collection init)`

Method Summary
`void` `add(ASMOclAny o)`
`void` `add(java.util.Iterator i)`
`static ASMOrderedSet` `append(StackFrame frame, ASMOrderedSet self, ASMOclAny o)`
`static ASMSequence` `asSequence(StackFrame frame, ASMOrderedSet self)`
`static ASMOclAny` `at(StackFrame frame, ASMOrderedSet self, ASMInteger i)`
`java.util.Collection` `collection()`
`boolean` `equals(java.lang.Object o)`
`static ASMOrderedSet` `excluding(StackFrame frame, ASMOrderedSet self, ASMOclAny o)`
`static ASMOclAny` `first(StackFrame frame, ASMOrderedSet self)`
`static ASMOrderedSet` `flatten(StackFrame frame, ASMOrderedSet self)`
`int` `hashCode()`
`static ASMOrderedSet` `including(StackFrame frame, ASMOrderedSet self, ASMOclAny o)`
`static ASMInteger` `indexOf(StackFrame frame, ASMOrderedSet self, ASMOclAny o)`
`static ASMOrderedSet` `insertAt(StackFrame frame, ASMOrderedSet self, ASMInteger index, ASMOclAny o)`
`java.util.Iterator` `iterator()`
`static ASMOclAny` `last(StackFrame frame, ASMOrderedSet self)`
`static ASMOrderedSet` `prepend(StackFrame frame, ASMOrderedSet self, ASMOclAny o)`
`static ASMOrderedSet` `subOrderedSet(StackFrame frame, ASMOrderedSet self, ASMInteger lower, ASMInteger upper)`
`java.lang.String` `toString()`
`static ASMOrderedSet` `union(StackFrame frame, ASMOrderedSet self, ASMCollection other)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
`asBag, asOrderedSet, asSequence, asSet, count, excludes, excludesAll, get, includes, includesAll, isEmpty, notEmpty, size, size, sum`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMOrderedSet

    public ASMOrderedSet()

### ASMOrderedSet

    public ASMOrderedSet(ASMOrderedSet init)

### ASMOrderedSet

    public ASMOrderedSet(java.util.Collection init)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### add

    public void add(ASMOclAny o)

  Specified by:
    `add` in class `ASMCollection`

### add

    public void add(java.util.Iterator i)

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `ASMCollection`

### collection

    public java.util.Collection collection()

  Specified by:
    `collection` in class `ASMCollection`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### append

    public static ASMOrderedSet append(StackFrame frame,
                                       ASMOrderedSet self,
                                       ASMOclAny o)

### prepend

    public static ASMOrderedSet prepend(StackFrame frame,
                                        ASMOrderedSet self,
                                        ASMOclAny o)

### insertAt

    public static ASMOrderedSet insertAt(StackFrame frame,
                                         ASMOrderedSet self,
                                         ASMInteger index,
                                         ASMOclAny o)

### subOrderedSet

    public static ASMOrderedSet subOrderedSet(StackFrame frame,
                                              ASMOrderedSet self,
                                              ASMInteger lower,
                                              ASMInteger upper)

### at

    public static ASMOclAny at(StackFrame frame,
                               ASMOrderedSet self,
                               ASMInteger i)

### indexOf

    public static ASMInteger indexOf(StackFrame frame,
                                     ASMOrderedSet self,
                                     ASMOclAny o)

### first

    public static ASMOclAny first(StackFrame frame,
                                  ASMOrderedSet self)

### last

    public static ASMOclAny last(StackFrame frame,
                                 ASMOrderedSet self)

### union

    public static ASMOrderedSet union(StackFrame frame,
                                      ASMOrderedSet self,
                                      ASMCollection other)

### flatten

    public static ASMOrderedSet flatten(StackFrame frame,
                                        ASMOrderedSet self)

### including

    public static ASMOrderedSet including(StackFrame frame,
                                          ASMOrderedSet self,
                                          ASMOclAny o)

### excluding

    public static ASMOrderedSet excluding(StackFrame frame,
                                          ASMOrderedSet self,
                                          ASMOclAny o)

### asSequence

    public static ASMSequence asSequence(StackFrame frame,
                                         ASMOrderedSet self)

Copyright 2007 IBM Corporation and others. All Rights Reserved.